Skip to main content
`Ctrl`+`K`

# KSPLGMRESSetConstant

keep the error approximation space a constant size for every restart cycle

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPLGMRESSetConstant(KSP ksp)

Collective

## Input Parameters

- ksp - the `KSP` context

## Options Database Key

- -ksp_lgmres_constant - set the size to be constant

## Note

This only affects the first couple of restart cycles when the total number of desired error approximations may not be available.

## See Also

KSP: Linear System Solvers, `KSPLGMRES`, `KSPLGMRESSetAugDim()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gmres/lgmres/lgmres.c

## Implementations

KSPLGMRESSetConstant_LGMRES() in src/ksp/ksp/impls/gmres/lgmres/lgmres.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages